Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class ControllerStateControllerContext

    java.lang.Object
      org.jboss.portal.core.controller.portlet.ControllerStateControllerContext

All Implemented Interfaces:
  org.jboss.portal.portlet.controller.state.StateControllerContext

    public class ControllerStateControllerContext

extends java.lang.Object
implements org.jboss.portal.portlet.controller.state.StateControllerContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ControllerStateControllerContext(NavigationalStateContext navigationalStateContext, ControllerPortletControllerContext controllerContext)`

Method Summary
`org.jboss.portal.portlet.controller.state.PortletPageNavigationalState` | `clonePortletPageNavigationalState(org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState, boolean mutable)`
`ControllerPageNavigationalState` | `createPortletPageNavigationalState(boolean mutable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerStateControllerContext

    public ControllerStateControllerContext(NavigationalStateContext navigationalStateContext,
                                            ControllerPortletControllerContext controllerContext)

Method Detail

### clonePortletPageNavigationalState

    public org.jboss.portal.portlet.controller.state.PortletPageNavigationalState clonePortletPageNavigationalState(org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState,
                                                                                                                    boolean mutable)

  Specified by:
    `clonePortletPageNavigationalState` in interface `org.jboss.portal.portlet.controller.state.StateControllerContext`

### createPortletPageNavigationalState

    public ControllerPageNavigationalState createPortletPageNavigationalState(boolean mutable)

  Specified by:
    `createPortletPageNavigationalState` in interface `org.jboss.portal.portlet.controller.state.StateControllerContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD